AlexanderZaytsev from React-native-i18n Repository

MIT License

Open
compile() on react-native-i18n package is not found; build always failing when package is used #297

Issue Opened
Racquelroque04 Opened Issue On Sep 20th 2022, 11:25

Racquelroque04

Hi! 👋

Firstly, thanks for your work on this project! 🙂

Today I used patch-package to patch react-native-i18n@2.0.15 for the project I'm working on.

Here is the diff that solved my problem:

diff --git a/node_modules/react-native-i18n/android/build.gradle b/node_modules/react-native-i18n/android/build.gradle
index 2614c62..746b873 100644
--- a/node_modules/react-native-i18n/android/build.gradle
+++ b/node_modules/react-native-i18n/android/build.gradle
@@ -22,5 +22,5 @@ android {
 }
 
 dependencies {
-  compile "com.facebook.react:react-native:+" // From node_modules
+  implementation "com.facebook.react:react-native:+" // From node_modules
 } 

This issue body was partially generated by patch-package.

Comment
Karriz-dev commented on 1 month ago

Karriz-dev

It worked for me :)

Thanks @racquelroque04

About Repository

React Native + i18n.js
Language: Objective-C
Star: 2159
Fork: 470
Watchers: 2159
Open Issues: 70
https://github.com/AlexanderZaytsev/react-native-i18n
MIT License
Last updated: 30 Nov 2022